Skip to main content
DELETE
/
v1
/
payments
/
links
/
{id}
Delete a payment link
curl --request DELETE \
  --url https://api.sandbox.busha.so/v1/payments/links/{id} \
  --header 'Authorization: Bearer <token>'
{ "status": "success", "message": "message for success", "data": { "id": "bus_123456789", "profile_id": "bus_123456789", "fixed": false, "one_time": false, "link": "https://pay.busha.io/charges/123456789", "name": "Payment Link", "title": "<string>", "description": "<string>", "target_currency": "BTC", "created_at": "2023-10-15T12:15:30Z", "updated_at": "2023-10-15T12:15:30Z", "quote_amount": "100", "quote_currency": "BTC", "target_amount": "100", "meta": { "images": [ "<string>" ], "allow_customer_amount": true, "amount_limit": { "min_amount": "100", "max_amount": "100" }, "allow_quantity_selection": true, "require_extra_info": [ { "field_name": "<string>", "required": true } ], "customer_email": "jsmith@example.com", "customer_name": "<string>", "due_date": "2023-11-07T05:31:56Z", "note": "<string>", "items": [ { "item": "<string>", "quantity": 2, "amount": "100" } ] }, "pub_key": "<string>", "expires_at": "2023-10-15T12:15:30Z" } }

Authorizations

Authorization
string
header
required

Bearer Authentication

Headers

X-BU-PROFILE-ID
string

User profile header

Example:

"BUS_YOK8tp5Zga01qOKEsqp07"

Path Parameters

id
string<nanoid>
required
Example:

"bus_123456789"

Response

Successful response

General response Values

status
enum<string>
required
Available options:
success,
error
Example:

"success"

message
string
required
Example:

"message for success"

data
object
required